> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Move Cluster Stack Resources Endpoint

> Moves manifests/addons from one stack to another on the same cluster.

Mirrors the web UI move endpoint but is exposed on the bearer-token
CLI API so `ankra cluster stacks move` can re-home deployed resources
without uninstalling them.



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/move
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/move:
    post:
      tags:
        - Imported Clusters
      summary: Move Cluster Stack Resources Endpoint
      description: |-
        Moves manifests/addons from one stack to another on the same cluster.

        Mirrors the web UI move endpoint but is exposed on the bearer-token
        CLI API so `ankra cluster stacks move` can re-home deployed resources
        without uninstalling them.
      operationId: >-
        move_cluster_stack_resources_endpoint_api_v1_org_clusters_imported__cluster_id__stacks__stack_name__move_post
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid4
            title: Cluster Id
            type: string
        - in: path
          name: stack_name
          required: true
          schema:
            title: Stack Name
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MoveClusterStackResourcesRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MoveClusterStackResourcesResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    MoveClusterStackResourcesRequest:
      properties:
        resource_ids:
          items:
            format: uuid4
            type: string
          title: Resource Ids
          type: array
        target_stack_name:
          title: Target Stack Name
          type: string
      required:
        - resource_ids
        - target_stack_name
      title: MoveClusterStackResourcesRequest
      type: object
    MoveClusterStackResourcesResult:
      properties:
        moved_count:
          title: Moved Count
          type: integer
        removed_dependencies:
          items:
            $ref: '#/components/schemas/MovedStackResourceRemovedDependency'
          title: Removed Dependencies
          type: array
        commit_sha:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Sha
        commit_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Url
      required:
        - moved_count
        - removed_dependencies
        - commit_sha
        - commit_url
      title: MoveClusterStackResourcesResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    MovedStackResourceRemovedDependency:
      properties:
        resource_name:
          title: Resource Name
          type: string
        dependency_name:
          title: Dependency Name
          type: string
        dependency_kind:
          title: Dependency Kind
          type: string
      required:
        - resource_name
        - dependency_name
        - dependency_kind
      title: MovedStackResourceRemovedDependency
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````